Bug 5584 - New version
: New version
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/doomlegacy)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-11-30 11:21 by
Modified: 2006-12-18 14:09 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-11-30 11:21:59
1.42 вышла уже на самом деле где-то около полугода назад. В Сизифе все еще
1.41.
Можно пересобрать?
------- Comment #1 From 2006-08-13 19:13:06 -------
1) в сизифе уже нет;
2) вроде icesik@ недавно заливал prboom
3) или бери себе?
------- Comment #2 From 2006-08-14 13:43:29 -------
(In reply to comment #0)
> 1.42 вышла уже на самом деле где-то около полугода назад. В Сизифе все еще 1.41.
> Можно пересобрать?

Мне так и не удалось собрать последнюю версию doomlegacy...

prboom вполне меня удовлетворяет. сегодня как раз вышла 2.4.5 версия.
http://freshmeat.net/releases/233865/
------- Comment #3 From 2006-08-14 17:03:55 -------
В том-то и дело, что doomlegacy толком не разрабатывается и не собирается :(

prboom попробовал - он обладает массой неисправимых достоинств, например,
отсутствием mouse look и как следствие - полноценного OpenGL;

Многие из этих "достоинств" исправлены в PrBoom Plus -
http://prboom-plus.sourceforge.net/features.html - может посмотрите?
------- Comment #4 From 2006-08-14 17:16:40 -------
(In reply to comment #3)
> В том-то и дело, что doomlegacy толком не разрабатывается и не собирается :(

:(

> prboom попробовал - он обладает массой неисправимых достоинств, например,
> отсутствием mouse look и как следствие - полноценного OpenGL;

в текущем prboom этого нет? я просто слабый геймер. ;)

> Многие из этих "достоинств" исправлены в PrBoom Plus -
> http://prboom-plus.sourceforge.net/features.html - может посмотрите?

Читаем http://prboom.sourceforge.net/

2nd April 2006

Version 2.4.0 is released. This is based on 2.2.6 and includes various
improvements from 2.3.1 and PrBoom+. Special thanks to Andrey 'e6y' Budko for
his bugfixes and his help to add them to PrBoom!

Plus, в Сизифе сейчас 2.4.4 с пачкой изменений из plus версии втянуто.
------- Comment #5 From 2006-08-14 17:20:00 -------
Мда... Я думал они втянули все изменения из prboom-plus, а как оказалось нет.
Вот кусок ил changelog для prboom-plus:

2.4.3.1 @ 2006.07.25
[!]    Updated to the latest prboom 2.4.3.

...

Может завернуть prboom-plus?
------- Comment #6 From 2006-08-14 17:40:06 -------
(In reply to comment #5)
> Мда... Я думал они втянули все изменения из prboom-plus, а как оказалось нет.
> Вот кусок ил changelog для prboom-plus:
> 
> 2.4.3.1 @ 2006.07.25
> [!]	Updated to the latest prboom 2.4.3.
> 
> ...
> 
> Может завернуть prboom-plus?


Уже собрал. Кину в Сизиф сегодня.
------- Comment #7 From 2006-08-14 18:42:49 -------
List of files which have been downloaded from the "devel" incoming:

perl-WWW-Curl-3.02-alt1.src.rpm
prboom-2.4.5-alt1.src.rpm
prboom-plus-2.4.3.1-alt1.src.rpm

------- Comment #8 From 2006-09-28 23:08:50 -------
в общем, orphaned
------- Comment #9 From 2006-09-29 01:08:50 -------
doomlegacy-то orphaned, и она на самом деле и в апстриме как-то сильно
заброшена
- современными gcc не собирается, с современными библиотеками не линкуется...

Остается вопрос, что с prboom. К ней есть одна основная претензия - она собрана
не с OpenGL. Если влезть в спек и включить его:

1) В случае prboom - оно собирается, загружается, но страдает весьма неприятным
глюком: collision detection между спрайтами ломается каким-то очень причудливым
способом - то ли монстры становятся очень "тонкими", то ли просто по ним
попадать очень сложно - проходит мимо.

2) В случае prboom-plus - оно не собирается.
------- Comment #10 From 2006-12-17 20:41:30 -------
orphaned/doomlegacy-1.41-alt2.src.rpm, а про prboom разговор, наверное,
отдельный.
------- Comment #11 From 2006-12-17 20:42:37 -------
(In reply to comment #9)
> - современными gcc не собирается, с современными библиотеками не линкуется...
Наверное, применительно к баге это значит WONTFIX...
------- Comment #12 From 2006-12-18 14:09:05 -------
(In reply to comment #9)
2greycat@:
> doomlegacy-то orphaned, и она на самом деле и в апстриме как-то сильно заброшена
> - современными gcc не собирается, с современными библиотеками не линкуется...
> 
> Остается вопрос, что с prboom. К ней есть одна основная претензия - она собрана
> не с OpenGL. Если влезть в спек и включить его:
> 
> 1) В случае prboom - оно собирается, загружается, но страдает весьма неприятным
> глюком: collision detection между спрайтами ломается каким-то очень причудливым
> способом - то ли монстры становятся очень "тонкими", то ли просто по ним
> попадать очень сложно - проходит мимо.
> 
> 2) В случае prboom-plus - оно не собирается.

Отдельными багами...